@import url('reset.css');
@import url('font.css');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'IBM Plex Mono' !important;
}

body {
    display: flex;
    flex-direction: column;
    background-color: black;
    align-items: center;
}

main {
    width: 100%;
    max-width: 1920px;
    height: 1080px;
    background-color: #FFEE5A;
    display: flex;
    flex-direction: column;
    position: relative;
    overflow-x: clip;
    touch-action: pan-down;
}

.first-section {
    background-color: black;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    gap: 5px;
    width: 100%;
    height: 100%;
    position: relative;

    div {
        height: 100%;
        width: calc(100%/10);
        position: relative;

        img {
            position: absolute;
            width: 223px;
            height: 333px;
        }
    }
}

.first-section {
    div {
        img:hover {
            animation: shakeAndScale 0.3s ease-in-out;
            transform: scale(1.2);
        }
    }
}

@keyframes shakeAndScale {
    0% {
        transform: scale(1) translateX(0);
    }

    25% {
        transform: scale(1.1) translateX(-3px);
    }

    50% {
        transform: scale(1.15) translateX(3px);
    }

    75% {
        transform: scale(1.18) translateX(-2px);
    }

    100% {
        transform: scale(1.2) translateX(0);
    }
}

.up {
    top: -50%;
}

.down {
    top: 30%;
}

.second-section {
    overflow: hidden;
    display: grid;
    width: 100%;
    height: 100%;
}

.circle {
    width: 100% !important;
    height: 100% !important;
    border-radius: 50%;
    border: 1px solid black;
    cursor: pointer;

}

.third-section {
    background-color: black;
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 100%;
}

.circle-ts {
    position: absolute;
    width: 85px;
    height: 85px;
    border-radius: 50%;
    background-color: #FFEE5A;
    cursor: pointer;
}

.forth-section {
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-image: url(../assets/photo/bg-4s.svg);
    background-size: cover;

}


.numbers {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;

    div {
        width: 134px;
        height: 116px;
        background-color: #FFEE5A;
        border-top: 7px;
        border-right: 14px;
        border-bottom: 19px;
        border-left: 7px;
        border-color: black;
        border-style: solid;
        font-size: 85px;
        display: flex;
        font-family: "IBM Plex Mono";
        align-items: center;
        justify-content: center;
        cursor: pointer;
    }
}

.wave-right {
    width: 1844px;
    height: 1033px;
    position: absolute;
    z-index: 10;
    top: 14%;
    left: -3%;
    animation: waveMove 6s ease-in-out infinite;
    transition: all 1s ease;

    &:is(.active) {
        left: -100%;
    }
}

.wave-left {
    width: 1844px;
    height: 1033px;
    position: absolute;
    z-index: 10;
    top: 12%;
    transform: scaleX(-1);
    left: 8%;
    rotate: 5deg;
    transition: all 1s ease;
    animation: waveMove2 6s ease-in-out infinite;

    &:is(.active) {
        left: 100%;
    }
}

.second-screen {
    width: 100%;
    max-width: 1920px;
    height: 1400px;
    background-color: #FFEE5A;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    overflow-x: clip;
    touch-action: pan-down;
}

.barcode {
    width: 95%;
    height: 450px;
    display: flex;
    align-items: center;
    overflow: hidden;
    justify-content: space-between;
}

.bar {
    height: 100%;
    background: black;
}

.container-umbrella {
    width: 100%;
    height: fit-content;
    position: absolute;
    top: 22%;
    left: 1.5%;
}

.first-umbrella {
    position: absolute;
    animation: shake 3s ease-in-out infinite;
}

.second-umbrella {
    position: absolute;
    left: 14%;
    top: 6%;
    rotate: -25deg;
    animation: shake 3s ease-in-out infinite;
}

.third-umbrella {
    position: absolute;
    left: 32%;
    top: 11%;
    rotate: -4deg;
    animation: shake 3s ease-in-out infinite;
}

.forth-umbrella {
    position: absolute;
    left: 52%;
    top: 9%;
    rotate: -14deg;
    animation: shake 3s ease-in-out infinite;
}

.fifth-umbrella {
    position: absolute;
    left: 72%;
    rotate: -22deg;
    animation: shake 3s ease-in-out infinite;
}

@keyframes shake {

    0%,
    100% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(5deg);
    }

    75% {
        transform: rotate(-5deg);
    }
}

.numbers-container {
    position: absolute;
    background-color: #FFEE5A;
    rotate: -2deg;
    top: 40%;
    left: 2%;
    width: 1820px;
    height: 771px;
    border-radius: 27px;
    border-color: black;
    border-style: solid;
    border-width: 7px 27px 19px 7px;
    z-index: 100;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    background-image: url(../assets/photo/bg-calc.svg);
    background-size: contain;
}

.container-in {
    display: flex;
    flex-direction: row;
    gap: 167px;
    width: fit-content;
    height: fit-content;
    z-index: 10;
    align-items: center;
}

.calculator {
    display: flex;
    flex-direction: column;
    gap: 37px;
}

.calculator-first-container {
    display: inline-grid;
    column-gap: 24px;
    row-gap: 32px;
    grid-template-rows: repeat(3, fit-content(100%));
    grid-template-columns: repeat(3, fit-content(100%));
}

.calculator-first {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 112px;
    height: 97px;
    background-color: white;
    font-size: 72px;
    font-family: "IBM Plex Mono";
    font-weight: 400;
    padding: 45px;
    border-color: black;
    border-style: solid;
    border-width: 6px 12px 16px 6px;
    cursor: pointer;
}

.low-row {
    display: flex;
    flex-direction: row;
    gap: 24px;
}

.calculator-info {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 112px;
    height: 97px;
    background-color: black;
    font-size: 72px;
    font-family: "IBM Plex Mono";
    font-weight: 900;
    padding: 45px;
    border-color: white;
    color: white;
    border-style: solid;
    border-width: 6px 12px 16px 6px;
    cursor: pointer;
}

.zero {
    display: flex;
    align-items: center;
    width: 247px;
    height: 97px;
    background-color: white;
    font-size: 72px;
    font-family: "IBM Plex Mono";
    font-weight: 400;
    padding: 45px;
    border-color: black;
    border-style: solid;
    border-width: 6px 12px 16px 6px;
    cursor: pointer;
}

.info-block {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 90%;
    height: 90%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 1;
    font-size: 1.5vw;

    &:is(.hidden) {
        opacity: 0;
    }
}

.dollars {
    position: relative;
    width: 861px;
    height: 627px;
    border: 17px solid black;
    border-radius: 47px;
    background-color: white;
    padding: 0;
}

.third-screen {
    width: 100%;
    max-width: 1920px;
    height: 1080px;
    background-color: #FFEE5A;
    display: flex;
    flex-direction: row;
    align-items: center;
    position: relative;
    overflow-x: clip;
    touch-action: pan-down;
}


.background-drawing {
    position: absolute;
    top: -4%;
    z-index: 2;
    width: 100%;
    height: 100%;
    background-image: url(../assets/photo/backgroundForDrawing.svg);
    background-size: cover;
}

.forth-screen {
    width: 100%;
    max-width: 1920px;
    height: 1080px;
    background-color: #FFEE5A;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 1;
    touch-action: pan-down;
}

.first-figure {
    position: absolute;
    width: 68.65%;
    left: -15%;
    top: 25%;
    z-index: 2;
    transform-origin: center;
    animation: swing 2s infinite ease-in-out;
}

@keyframes swing {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(10deg);
    }

    50% {
        transform: rotate(-10deg);
    }

    75% {
        transform: rotate(5deg);
    }

    100% {
        transform: rotate(0deg);
    }
}

.second-figure {
    position: absolute;
    width: 117%;
    z-index: 2;
    transform-origin: center;
    animation: swing2 2s infinite ease-in-out;
}

@keyframes swing2 {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(-10deg);
    }

    50% {
        transform: rotate(10deg);
    }

    75% {
        transform: rotate(-5deg);
    }

    100% {
        transform: rotate(0deg);
    }
}

.third-figure {
    position: absolute;
    left: 35%;
    top: -10%;
    width: 68.65%;
    z-index: 2;
    transform-origin: center;
    animation: swing 2s infinite ease-in-out;
}

.brushes {
    width: 12%;
    background-color: #878787;
    border-radius: 10px;
    padding: 19px 1px;
    position: absolute;
    top: 33%;
    left: 2%;
    z-index: 4;
    display: flex;
    flex-direction: column;
    gap: 49px;
    align-items: center;
    top: 0;
}

.brush {
    background-color: white;
    width: 165px;
    height: 165px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.stamp {
    width: 165px;
    height: 165px;
    position: absolute;
    pointer-events: none;
    transform: translate(-50%, -50%) scale(1);
    transform-origin: center;
    animation: stampFadeOut 0.4s ease forwards;
    animation-delay: 2s;
    cursor: pointer;
}

.tape {
    display: flex;
    flex-direction: row;
    gap: 8px;
    overflow: hidden;
    font-family: "IBM Plex Mono";
    font-size: 29px;
    font-weight: 100;
    width: 100%;
    height: max-content;
    position: absolute;
    top: 0;
}

.info-track {
    width: 328px;
    height: 185px;
    display: flex;
    flex-direction: column;
    font-family: "IBM Plex Mono";
    font-size: 19px;
    border: 3px black solid;
    border-radius: 10px;
    justify-content: space-between;
    padding: 5px;
    background-color: white;
    position: absolute;
    left: 2%;
    top: 5%;
    z-index: 10;
}

.counter-qrcode {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.truck {
    position: absolute;
    top: 43%;
    left: 30%;
    z-index: 10;
}

.snow-container {
    width: 100%;
    height: 1050px;
    position: relative;
    top: 1%;
    overflow: hidden;
    z-index: 1;
}

.snow {
    position: absolute;
    width: 90px;
    height: 71px;
}

.left-wheel {
    position: absolute;
    top: 83%;
    left: 40%;
    z-index: 10;
}

.right-wheel {
    position: absolute;
    top: 83%;
    left: 80%;
    z-index: 10;
}

.spin-left {
    animation: spin 0.5s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(-360deg);
    }
}

footer {
    background-color: black;
    width: 100%;
    max-width: 1920px;
    height: 118px;
    display: flex;
    flex-direction: row;
    gap: 39px;
    padding-left: 25px;
    align-items: center;
    overflow: hidden;

    img {
        height: fit-content;
    }
}
.footer-run{
    display: none;
}

.canvas {
    width: 100%;
    max-width: 1920px;
    height: 1080px;
    position: relative;
    z-index: 3;
}



.qrcode1 {
    position: absolute;
    rotate: -15deg;
    width: 182px;
    height: 182px;
    top: 11%;
    left: 6%;
}

.qrcode2 {
    position: absolute;
    rotate: 18deg;
    width: 133px;
    height: 133px;
    top: 61%;
    left: 18%;
}

.qrcode3 {
    position: absolute;
    rotate: 3deg;
    width: 150px;
    height: 150px;
    top: 15%;
    left: 36%;
}

.qrcode4 {
    position: absolute;
    rotate: -23deg;
    width: 150px;
    height: 150px;
    top: 59%;
    left: 43%;
}

.qrcode5 {
    position: absolute;
    rotate: 38deg;
    width: 116px;
    height: 116px;
    top: 19%;
    left: 65%;
}

.qrcode6 {
    position: absolute;
    rotate: 57deg;
    width: 148px;
    height: 148px;
    top: 50%;
    left: 75%;
    z-index: 10;
}

.qrcodes {
    position: absolute;
    top: 42%;
    left: 52%;
    z-index: 100;
    width: 798px;
    height: 480px;
}

.speed-counter {
    width: 146px;
    height: 49px;
    display: flex;
    flex-direction: row;
    background-color: black;
    color: white;
    gap: 20px;
    position: absolute;
    font-size: 28px;
    align-items: center;
    justify-content: center;
    top: 59%;
    left: 20%;
}

@keyframes waveMove {
    0% {
        transform: translateX(0px);
    }

    50% {
        transform: translateX(40px);
    }

    100% {
        transform: translateX(0px);
    }
}

@keyframes waveMove2 {
    0% {
        transform: translateX(0px);
    }

    50% {
        transform: translateX(-40px);
    }

    100% {
        transform: translateX(0px);
    }
}

.popbar {
    position: absolute;
    width: 377px;
    height: 172px;
    font-size: 19px;
    background-image: url(../assets/photo/popbar.svg);
    z-index: 100;
    pointer-events: none;
    padding: 20px 30px;
    background-size: cover;
    background-repeat: no-repeat;
}

@keyframes stampFadeOut {
    from {
        transform: translate(-50%, -50%) scale(1);
        opacity: 1;
    }

    to {
        transform: translate(-50%, -50%) scale(0);
        opacity: 0;
    }
}

.modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 529px;
    height: 306px;
    height: fit-content;
    background-color: white;
    padding: 78px 89px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    border: 3px solid black;
    font-size: 19px;
    z-index: 100;
    gap: 40px;
}

.text {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 10px;
}

.ok-btn {
    color: white;
    background-color: black;
    padding: 10px;
    cursor: pointer;
}

.footer-phone {
    display: none;
}

@media (max-width: 1919px) {
    .speed-counter {
        width: 7.6vw;
        height: 2.55vw;
        font-size: 1.46vw;
        gap: 1vw;
    }

    main {
        height: 56.25vw;
    }

    .canvas {
        height: 56.25vw
    }

    .first-section {
        gap: 0.26vw;

        div {
            img {
                width: 11.61vw;
                height: 17.34vw;
            }
        }
    }

    .circle {
        width: 1.93vw;
        height: 1.93vw;
    }

    .circle-ts {
        width: 4.43vw;
        height: 4.43vw;
    }

    .small-circle {
        width: 0.68vw;
        height: 0.68vw;
    }

    .numbers {
        padding: 3.65vw 8.33vw;
        gap: 1.04vw;

        div {
            width: 6.98vw;
            height: 6.04vw;
            border: 0.36vw 0.73vw 0.99vw 0.36vw black solid;
            font-size: 4.43vw;
        }
    }

    .wave-right {
        width: 96.04vw;
        height: 53.8vw;
    }

    .wave-left {
        width: 96.04vw;
        height: 53.8vw;
    }

    .second-screen {
        height: 72.92vw;
    }

    .barcode {
        height: 23.44vw;
    }

    .container-umbrella {
        img {
            width: 26.25vw;
            height: 24.77vw;
        }
    }

    .numbers-container {
        width: 94.79vw;
        height: 40.16vw;
        border-radius: 1.41vw;
        border-width: 0.36vw 1.41vw 0.99vw 0.36vw;
    }

    .container-in {
        gap: 8.7vw;
    }

    .calculator {
        gap: 1.93vw;
    }

    .calculator-first-container {
        column-gap: 1.25vw;
        row-gap: 1.67vw;
    }

    .low-row {
        gap: 1.25vw;
    }

    .calculator-first {
        width: 5.83vw;
        height: 5.05vw;
        font-size: 3.75vw;
        padding: 2.34vw;
        border-width: 0.31vw 0.63vw 0.83vw 0.31vw;
    }

    .calculator-info {
        width: 5.83vw;
        height: 5.05vw;
        font-size: 3.75vw;
        padding: 2.34vw;
        border-width: 0.31vw 0.63vw 0.83vw 0.31vw;
    }

    .zero {
        width: 12.85vw;
        height: 5.05vw;
        font-size: 3.75vw;
        padding: 2.34vw;
        border-width: 0.31vw 0.63vw 0.83vw 0.31vw;
    }

    .dollars {
        width: 44.84vw;
        height: 32.66vw;
        border: 0.89vw solid black;
        border-radius: 2.45vw;
        padding: 0;
    }

    .third-screen {
        height: 56.25vw;
    }

    .small-circle-NC {
        width: 0.47vw;
        height: 0.47vw;
    }

    .forth-screen {
        height: 56.25vw;
    }

    .brushes {
        border-radius: 0.52vw;
        padding: 0.99vw 0.05vw;
        gap: 2.55vw;
    }

    .brush {
        width: 8.59vw;
        height: 8.59vw;
        border-radius: 0.52vw;

        img {
            width: 7.55vw;
            height: 7.55vw;
        }
    }

    .stamp {
        width: 7.55vw;
        height: 7.55vw;
    }

    .tape {
        gap: 0.42vw;
        font-size: 1.51vw;
    }

    .info-track {
        width: 17.08vw;
        height: 9.64vw;
        border: 0.16vw black solid;
        border-radius: 0.52vw;
        padding: 0.26vw;
        font-size: 0.99vw;
    }

    .counter-qrcode {
        gap: 0.42vw;
    }

    .snow-container {
        height: 54.69vw;
    }

    .snow {
        width: 4.69vw;
        height: 3.7vw;
    }

    .truck {
        img {
            width: 64.17vw;
        }
    }

    .left-wheel {
        width: 10vw;
    }

    .right-wheel {
        width: 10vw;
    }

    footer {
        height: 6.15vw;
        gap: 2.03vw;
        padding-left: 1.3vw;
        img{
            width: 46.77vw;
        }
    }

    .name {
        width: 46.77vw;
    }

    .hse {
        width: 49vw;
    }

    .qrcode1 {
        width: 9.48vw;
        height: 9.48vw;
    }

    .qrcode2 {
        width: 6.93vw;
        height: 6.93vw;
    }

    .qrcode3 {
        width: 7.81vw;
        height: 7.81vw;
    }

    .qrcode4 {
        width: 7.81vw;
        height: 7.81vw;
    }

    .qrcode5 {
        width: 6.04vw;
        height: 6.04vw;
    }

    .qrcode6 {
        width: 7.71vw;
        height: 7.71vw;
    }

    .qrcodes {
        width: 41.56vw;
        height: 25vw;
    }

    .popbar {
        width: 19.68vw;
        height: 8.96vw;
        font-size: 0.99vw;
        padding: 1.04vw 1.56vw;
    }

    .modal {
        width: 27.55vw;
        height: 15.94vw;
        padding: 4.06vw 4.64vw;
        border-radius: 0.52vw;
        border: 0.16vw solid black;
        font-size: 0.99vw;
        gap: 2.08vw;
    }

    .text {
        gap: 0.52vw;
    }

    .ok-btn {
        gap: 0.52vw;
    }
}


@media (max-width: 1536px) {
    .speed-counter {
        font-size: 1.5vw;
        gap: 1.11vw;
    }

    main {
        height: 47.92vw;
    }

    .canvas {
        height: 47.92vw;
    }

    .first-section {
        gap: 8.46vw;

        div {
            img {
                width: 11.59vw;
                height: 10.16vw;
            }
        }
    }

    .circle {
        width: 1.76vw;
        height: 1.76vw;
    }

    .circle-ts {
        width: 4.43vw;
        height: 4.43vw;
    }

    .small-circle {
        width: 0.46vw;
        height: 0.46vw;
    }

    .numbers {
        padding: 2.60vw 8.33vw;
        gap: 2.60vw;

        div {
            width: 6.97vw;
            height: 6.05vw;
            border-top: 0.36vw;
            border-right: 0.72vw;
            border-bottom: 1.01vw;
            border-left: 0.36vw;
            font-size: 4.43vw;
            border-color: black;
            border-style: solid;
        }
    }

    .wave-right {
        width: 96.03vw;
        height: 53.78vw;
        top: -2%;
    }

    .wave-left {
        width: 96.03vw;
        height: 53.78vw;
        top: -5%;
    }

    .second-screen {
        height: 74.87vw;
    }

    .barcode {
        height: 23.50vw;
    }

    .container-umbrella {
        img {
            width: 26.24vw;
            height: 23.44vw;
        }
    }

    .numbers-container {
        width: 94.79vw;
        height: 40.17vw;
        border-radius: 1.43vw;
        border-width: 0.36vw 1.43vw 1.01vw 0.36vw;
    }

    .container-in {
        gap: 9.57vw;
    }

    .calculator {
        gap: 2.08vw;
    }

    .calculator-first-container {
        column-gap: 2.08vw;
        row-gap: 2.60vw;
    }

    .low-row {
        gap: 2.08vw;
    }

    .calculator-first {
        width: 5.86vw;
        height: 5.08vw;
        font-size: 3.74vw;
        padding: 1.30vw;
        border-width: 0.33vw 0.59vw 0.85vw 0.33vw;
    }

    .calculator-info {
        width: 5.86vw;
        height: 5.08vw;
        font-size: 3.74vw;
        padding: 1.30vw;
        border-width: 0.33vw 0.59vw 0.85vw 0.33vw;
    }

    .zero {
        width: 13.87vw;
        height: 5.08vw;
        font-size: 3.74vw;
        padding: 1.30vw;
        border-width: 0.33vw 0.59vw 0.85vw 0.33vw;
    }

    .dollars {
        width: 44.86vw;
        height: 32.68vw;
        border: 0.91vw solid black;
        border-radius: 2.47vw;
        padding: 0;
    }

    .third-screen {
        height: 47.92vw;
    }

    .small-circle-NC {
        width: 0.46vw;
        height: 0.46vw;
    }

    .forth-screen {
        height: 47.92vw;
    }

    .brushes {
        border-radius: 0.52vw;
        padding: 0.98vw;
        gap: 1.89vw;
        width: 9.64vw;
        height: 45.57vw;
    }

    .brush {
        width: 7.16vw;
        height: 7.16vw;
        border-radius: 0.59vw;

        img {
            width: 6.51vw;
            height: 6.51vw;
        }
    }

    .stamp {
        width: 6.51vw;
        height: 6.51vw;
    }

    .background-drawing {
        width: 100vw;
        height: 45.83vw;
        background-image: url(../assets/photo/backgroundForDrawing2.svg);
    }

    .tape {
        gap: 0.52vw;
        font-size: 1.95vw;

        img {
            width: 3%;
        }
    }

    .info-track {
        width: 17.12vw;
        height: 9.64vw;
        border: 0.13vw black solid;
        border-radius: 0.52vw;
        padding: 0.46vw;
        font-size: 0.98vw;
    }

    .counter-qrcode {
        gap: 0.46vw;
    }

    .snow-container {
        height: 45.77vw;
        top: 2%;
    }

    .snow {
        width: 4.69vw;
        height: 3.71vw;
    }

    .truck {
        top: 35%;

        img {
            width: 64.19vw;
        }
    }

    .left-wheel {
        top: 82%;
        width: 9.57vw;
    }

    .right-wheel {
        top: 82%;
        width: 9.57vw;
    }

    footer {
        height: 6.12vw;
        gap: 1.89vw;
        padding-left: 1.30vw;
    }

    .name {
        width: 46.74vw;
    }

    .hse {
        width: 48.83vw;
    }

    .qrcode1 {
        width: 9.11vw;
        height: 9.11vw;
    }

    .qrcode2 {
        width: 6.84vw;
        height: 6.84vw;
    }

    .qrcode3 {
        width: 7.49vw;
        height: 7.49vw;
    }

    .qrcode4 {
        width: 7.49vw;
        height: 7.49vw;
    }

    .qrcode5 {
        width: 5.86vw;
        height: 5.86vw;
    }

    .qrcode6 {
        width: 7.49vw;
        height: 7.49vw;
    }

    .qrcodes {
        width: 41.54vw;
        height: 25vw;
        top: 35%;
    }

    .popbar {
        width: 19.6vw;
        height: 8.92vw;
        font-size: 0.98vw;
    }

    .modal {
        width: 27.02vw;
        height: 15.62vw;
        padding: 3.91vw 4.56vw;
        border-radius: 0.52vw;
        border: 0.15vw solid black;
        font-size: 0.98vw;
        gap: 2.02vw;
    }

    .text {
        gap: 0.52vw;
    }

    .ok-btn {
        gap: 0.52vw;
    }
}

@media (max-width: 1280px) {
    .speed-counter {
        width: 7.89vw;
        height: 2.58vw;
        font-size: 1.48vw;
        gap: 1vw;
    }

    main {
        height: 62.5vw;
    }

    .canvas {
        height: 62.5vw;
    }

    .first-section {
        gap: 3.67vw;

        div {
            img {
                width: 11.56vw;
                height: 10.16vw;
            }
        }
    }

    .circle {
        width: 1.80vw;
        height: 1.80vw;
    }

    .circle-ts {
        width: 4.45vw;
        height: 4.45vw;
    }

    .numbers {
        padding: 3.67vw 8.28vw;
        gap: 2.58vw;

        div {
            width: 6.95vw;
            height: 6.02vw;
            border-top: 0.39vw;
            border-right: 0.70vw;
            border-bottom: 1.02vw;
            border-left: 0.39vw;
            font-size: 4.45vw;
            border-color: black;
            border-style: solid;
        }
    }

    .wave-right {
        width: 96.02vw;
        height: 53.75vw;
        top: 23%;
    }

    .wave-left {
        width: 96.02vw;
        height: 53.75vw;
        top: 21%;
    }

    .second-screen {
        height: 78.13vw;
    }

    .barcode {
        height: 23.44vw;
    }

    .container-umbrella {
        img {
            width: 26.25vw;
            height: 24.77vw;
        }
    }

    .numbers-container {
        width: 94.77vw;
        height: 40.16vw;
        border-radius: 1.41vw;
        border-width: 0.39vw 1.41vw 1.02vw 0.39vw;
    }

    .container-in {
        gap: 9.61vw;
    }

    .calculator {
        gap: 2.11vw;
    }

    .calculator-first-container {
        column-gap: 2.07vw;
        row-gap: 2.66vw;
    }

    .low-row {
        gap: 2.07vw;
    }

    .calculator-first {
        width: 5.86vw;
        height: 5.08vw;
        font-size: 3.75vw;
        padding: 1.17vw;
        border-width: 0.31vw 0.63vw 0.86vw 0.31vw;
    }

    .calculator-info {
        width: 5.86vw;
        height: 5.08vw;
        font-size: 3.75vw;
        padding: 1.17vw;
        border-width: 0.31vw 0.63vw 0.86vw 0.31vw;
    }

    .zero {
        width: 13.83vw;
        height: 5.08vw;
        font-size: 3.75vw;
        padding: 1.17vw;
        border-width: 0.31vw 0.63vw 0.86vw 0.31vw;
    }

    .dollars {
        width: 44.84vw;
        height: 32.66vw;
        border: 0.86vw solid black;
        border-radius: 2.42vw;
        padding: 0;
    }

    .third-screen {
        height: 62.5vw;
    }

    .small-circle-NC {
        width: 0.47vw;
        height: 0.47vw;
    }

    .forth-screen {
        height: 62.5vw;
    }

    .brushes {
        border-radius: 0.55vw;
        padding: 1.02vw 0.08vw;
        gap: 2.58vw;
        width: 12.03vw;
        height: 55.23vw;
    }

    .brush {
        width: 8.59vw;
        height: 8.59vw;
        border-radius: 0.55vw;

        img {
            width: 7.58vw;
            height: 7.58vw;
        }
    }

    .stamp {
        width: 7.58vw;
        height: 7.58vw;
    }

    .background-drawing {
        width: 100vw;
        height: 58vw;
        background-image: url(../assets/photo/backgroundForDrawing.svg);
    }

    .tape {
        gap: 0.47vw;
        font-size: 1.88vw;

        img {
            width: 3%;
        }
    }

    .info-track {
        width: 17.66vw;
        height: 9.92vw;
        border: 0.16vw black solid;
        border-radius: 0.55vw;
        padding: 0.51vw;
        font-size: 1.02vw;
    }

    .counter-qrcode {
        gap: 0.47vw;
    }

    .snow-container {
        height: 60vw;
        top: 2%;
    }

    .snow {
        width: 4.69vw;
        height: 3.71vw;
    }

    .truck {
        top: 48%;

        img {
            width: 66.33vw;
        }
    }

    .left-wheel {
        top: 85%;
        width: 9.92vw;
    }

    .right-wheel {
        top: 85%;
        left: 81%;
        width: 9.92vw;
    }

    footer {
        height: 6.17vw;
        gap: 1.88vw;
        padding-left: 1.48vw;
    }

    .name {
        width: 46.72vw;
    }

    .hse {
        width: 49.92vw;
    }

    .qrcode1 {
        width: 9.38vw;
        height: 9.38vw;
    }

    .qrcode2 {
        width: 7.03vw;
        height: 7.03vw;
    }

    .qrcode3 {
        width: 7.81vw;
        height: 7.81vw;
    }

    .qrcode4 {
        width: 7.81vw;
        height: 7.81vw;
    }

    .qrcode5 {
        width: 6.09vw;
        height: 6.09vw;
    }

    .qrcode6 {
        width: 7.81vw;
        height: 7.81vw;
    }

    .qrcodes {
        width: 41.54vw;
        height: 25vw;
        top: 48%;
        left: 54%;
    }

    .popbar {
        width: 19.61vw;
        height: 8.91vw;
        font-size: 0.99vw;
    }

    .modal {
        width: 26.5vw;
        height: 15.31vw;
        padding: 3.8vw 4.45vw;
        border-radius: 0.50vw;
        border: 0.15vw solid black;
        font-size: 0.95vw;
        gap: 2vw;
    }

    .text {
        gap: 0.55vw;
    }

    .ok-btn {
        gap: 0.55vw;
    }
}

@media (max-width: 768px) {
    .speed-counter {
        width: 10.55vw;
        height: 3.52vw;
        font-size: 2.08vw;
        gap: 1.43vw;
    }

    main {
        height: 133.33vw;
        flex-direction: row;
    }

    .first-section {
        rotate: 180deg;
        gap: 28.3vw;
        flex-direction: column;

        div {
            img {
                width: 29.3vw;
                height: 25.4vw;
            }
        }
    }

    .up {
        top: 0;
        left: -50%;
    }

    .down {
        top: 0;
        left: 30%;
    }

    .second-section {
        rotate: 180deg;
    }

    .third-section {
        rotate: 180deg;
    }

    .forth-section {
        background-image: url(../assets/photo/bg-4s-ipad.svg);
        rotate: 180deg;
    }

    .circle {
        width: 1.80vw;
        height: 1.80vw;
    }

    .circle-ts {
        width: 6vw;
        height: 6vw;
    }

    .numbers {
        padding: 3.67vw 8.28vw;
        rotate: 90deg;

        div {
            width: 17.45vw;
            height: 15.1vw;
            border-top: 0.91vw;
            border-right: 1.82vw;
            border-bottom: 2.47vw;
            border-left: 0.91vw;
            font-size: 11.13vw;
            border-color: black;
            border-style: solid;
            rotate: 90deg;
        }
    }

    .wave-left {
        top: 65%;
    }

    .wave-right {
        top: 65%;
    }

    .second-screen {
        height: 133.33vw;
    }

    .barcode {
        height: 35.55vw;
    }

    .numbers-container {
        width: 97.66vw;
        height: 69.27vw;
        background-size: cover;
        top: 33%;
    }

    .dollars {
        width: 44.79vw;
        height: 46.61vw;
    }

    .calculator-first {
        width: 8.33vw;
        height: 7.16vw;
        font-size: 5.34vw;
        border-width: 0.43vw 0.91vw 1.17vw 0.43vw;
    }

    .calculator-info {
        width: 8.33vw;
        height: 7.16vw;
        font-size: 5.34vw;
        border-width: 0.43vw 0.91vw 1.17vw 0.43vw;
    }

    .zero {
        width: 19.73vw;
        height: 7.16vw;
        font-size: 5.34vw;
        border-width: 0.43vw 0.91vw 1.17vw 0.43vw;
    }

    .third-screen {
        height: 133.33vw;
    }

    .canvas {
        height: 133.33vw;
    }

    .brushes {
        rotate: 90deg;
        left: 28%;
        height: 100%;
        top: -58%;
        width: 13.8vw;
        gap: 9.11vw;
        padding: 4.04vw 2.6vw;

    }

    .brush {
        rotate: -90deg;
        width: 11.72vw;
        height: 11.72vw;
        border-radius: 0.78vw;

        img {
            width: 11.07vw;
            height: 11.07vw;
        }
    }

    .background-drawing {
        background-image: url(../assets/photo/bg-draw.svg);
        height: 133.33vw;
        width: 100vw;
    }

    .second-figure {
        rotate: 90deg;
        width: 150%;
        left: -20%;
        top: 10%;
    }

    .first-figure {
        rotate: 90deg;
        top: -4%;
        left: 7%;
        scale: 1.5;
    }

    .third-figure {
        rotate: 90deg;
        top: 52%;
        left: 41%;
        scale: 1.4;
    }

    .forth-screen {
        height: 133.33vw;
    }

    .snow-container {
        height: 130vw;
        top: 0;
    }

    .info-track {
        width: 27.6vw;
        height: 15.49vw;
        font-size: 1.56vw;
    }


    .truck {
        top: 65%;
        left: 5%;

        img {
            width: 88.41vw;
            height: 43.23vw;
        }
    }

    .left-wheel {
        width: 13.15vw;
        height: 12.76vw;
        top: 90%;
        left: 19%;
    }

    .right-wheel {
        width: 13.15vw;
        height: 12.76vw;
        top: 90%;
        left: 74%;
    }

    .snow {
        width: 7.81vw;
        height: 7.81vw;
    }

    .qrcode1 {
        width: 13.02vw;
        height: 13.02vw;
    }

    .qrcode2 {
        width: 9.11vw;
        height: 9.11vw;
    }

    .qrcode3 {
        width: 10.42vw;
        height: 10.42vw;
    }

    .qrcode4 {
        width: 10.42vw;
        height: 10.42vw;
    }

    .qrcode5 {
        width: 7.81vw;
        height: 7.81vw;
    }

    .qrcode6 {
        width: 10.42vw;
        height: 10.42vw;
    }

    .qrcodes {
        width: 57vw;
        height: 34.4vw;
        top: 65%;
        left: 36%;
    }

    .modal {
        width: 72.66vw;
        height: 42.06vw;
        padding: 10.42vw 12.11vw;
        border: 0.39vw solid black;
        font-size: 2.6vw;
        gap: 5.47vw;
    }

    .text {
        gap: 1.82vw;
    }

    .ok-btn {
        gap: 1.82vw;
    }

    .popbar {
        width: 38.07vw;
        height: 17.32vw;
        font-size: 1.82vw;
        padding: 1.3vw 2.86vw;
        background-image: url('../assets/photo/popbar2.svg');
    }
}

@media (max-width: 500px) {
    .speed-counter {
        width: 13.61vw;
        height: 4.44vw;
        font-size: 2.64vw;
        gap: 1.67vw;
    }

    main {
        height: 222.22vw;
        flex-direction: column;
    }

    .first-section {
        rotate: 180deg;
        gap: 24vw;
        flex-direction: row;

        div {
            img {
                width: 30.28vw;
                height: 26.39vw;
            }
        }
    }

    .up {
        top: -18%;
        left: 0;
    }

    .down {
        top: 52%;
        left: -9%;
    }

    .second-section {
        rotate: 180deg;
    }

    .third-section {
        rotate: 180deg;
    }

    .forth-section {
        background-image: url(../assets/photo/bg-4s.svg);
        rotate: 180deg;
    }

    .numbers {
        rotate: 180deg;

        div {
            rotate: 0deg;
            width: 17.22vw;
            height: 15vw;
            border-top: 0.83vw;
            border-right: 1.67vw;
            border-bottom: 2.5vw;
            border-left: 0.83vw;
            font-size: 11.11vw;
            border-color: black;
            border-style: solid;
        }
    }

    .wave-left {
        top: 80%
    }

    .wave-right {
        top: 80%
    }

    .second-screen {
        height: 444.44vw;
    }

    .barcode {
        height: 222.22vw;
    }

    .container-umbrella {
        top: 48%;
    }

    .numbers-container {
        top: 51%;
        height: 183vw;
        background-image: url(../assets/photo/bg-numbers-phone.svg);
    }

    .container-in {
        flex-direction: column-reverse;
    }

    .dollars {
        width: 80.56vw;
        height: 83.33vw;
    }

    .calculator-first {
        border-width: 1.11vw 2.22vw 3.06vw 1.11vw;
        width: 20.56vw;
        height: 17.78vw;
        font-size: 13.06vw;
    }

    .calculator-info {
        border-width: 1.11vw 2.22vw 3.06vw 1.11vw;
        width: 20.56vw;
        height: 17.78vw;
        font-size: 13.06vw;
    }

    .zero {
        border-width: 1.11vw 2.22vw 3.06vw 1.11vw;
        width: 43.5vw;
        height: 17.78vw;
        font-size: 13.06vw;
    }

    .third-screen {
        height: 222.22vw;
    }

    .forth-screen {
        height: 222.22vw;
        overflow: hidden;
    }

    .brushes {
        left: -17%;
        height: 100%;
        top: -54%;
        width: 17.66vw;
        gap: 6.94vw;
        padding: 4.04vw 2.6vw;

    }

    .canvas {
        height: 222.22vw;
    }

    .brush {
        width: 13.89vw;
        height: 13.89vw;
        border-radius: 0.78vw;
        border-width: 0.2vw;

        img {
            height: 13.11vw;
            width: 13.11vw;
        }
    }

    .stamp {
        height: 13.11vw;
        width: 13.11vw;
    }

    .background-drawing {
        background-image: url(../assets/photo/bg-draw-phone.svg);
        height: 196.22vw;
        width: 100vw;
    }

    .second-figure {
        scale: 1.8;
    }

    .first-figure {
        scale: 1.8;
    }

    .third-figure {
        scale: 2.5;
    }

    .tape {
        font-size: 3.88vw;
    }

    .snow-container {
        height: 220.5vw;
        top: 1%;
    }

    .footer-phone {
        width: 100%;
        height: 12.5vw;
        position: absolute;
        z-index: 100;
        top: 2%;
        display: flex;
        flex-direction: row;
        background-color: black;
    }

    .run {
        width: 100%;
        animation: scroll 10s linear infinite;
    }

    @keyframes scroll {
        0% {
            transform: translateX(0);
        }

        100% {
            transform: translateX(-100%);
        }
    }

    .info-track {
        width: 97.78vw;
        height: 25.28vw;
        font-size: 3.89vw;
        left: 1%;
        top: 8%;
    }

    .truck {
        top: 74%;
        left: -12%;

        img {
            width: 114.44vw;
            height: 55.83vw;
        }
    }

    .left-wheel {
        width: 16.67vw;
        height: 16.67vw;
        top: 92%;
        left: 6%;
    }

    .right-wheel {
        width: 16.67vw;
        height: 16.67vw;
        top: 92%;
        left: 77%;
    }

    .snow {
        width: 16.67vw;
        height: 16.67vw;
    }

    .qrcode1 {
        width: 16.94vw;
        height: 16.94vw;
    }

    .qrcode2 {
        width: 11.94vw;
        height: 11.94vw;
    }

    .qrcode3 {
        width: 13.89vw;
        height: 13.89vw;
    }

    .qrcode4 {
        width: 13.89vw;
        height: 13.89vw;
    }

    .qrcode5 {
        width: 10.56vw;
        height: 10.56vw;
    }

    .qrcode6 {
        width: 13.33vw;
        height: 13.33vw;
    }

    .qrcodes {
        width: 74.17vw;
        height: 44.44vw;
        top: 75%;
        left: 29%;
    }

    .popbar {
        width: 38.07vw;
        height: 17.32vw;
        font-size: 1.82vw;
        padding: 1.3vw 2.86vw;
        background-image: url('../assets/photo/popbar.svg');
    }

    footer {
        height: 12.5vw;
        z-index: 100;

        img {
            display: none;
        }
    }
    .footer-run{
        display: block;
        width: 100%;
        animation: scroll 10s linear infinite;
    }
    .usual-footer{
        display: none;
    }
}